Bug 1459449 - backport pmc: goto out when get unknown management tlv
backport pmc: goto out when get unknown management tlv
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: linuxptp (Show other bugs)
7.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Miroslav Lichvar
Qiao Zhao
:
Depends On:
Blocks: 1371853
  Show dependency treegraph
 
Reported: 2017-06-07 04:04 EDT by Hangbin Liu
Modified: 2017-08-02 03:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hangbin Liu 2017-06-07 04:04:03 EDT
Description of problem:
During Management GET message fuzz test, pmc crashed due to not correctly handle unknown management tlv message. Please back port the following commit to fix this issue.

commit 95b5a13cb2787b6a436ad395bb4931d1661e59a7
Author: Hangbin Liu <liuhangbin@gmail.com>
Date:   Tue May 23 14:49:55 2017 +0800

    pmc: goto out when get unknown management tlv
Comment 1 Qiao Zhao 2017-07-25 08:38:44 EDT
Hi developer,

Could you give some detail information about how to test/verify this bug?
I have no idea for this.

--
Thanks,
Qiao
Comment 2 Hangbin Liu 2017-07-25 09:13:29 EDT
(In reply to Qiao Zhao from comment #1)
> Hi developer,
> 
> Could you give some detail information about how to test/verify this bug?
> I have no idea for this.
Hi Qiao,

I use Codenomicon fuzz for this testing. We can talk about this on irc.

Thanks
Hangbin
Comment 3 Qiao Zhao 2017-07-25 23:02:41 EDT
(In reply to Hangbin Liu from comment #2)
> (In reply to Qiao Zhao from comment #1)
> > Hi developer,
> > 
> > Could you give some detail information about how to test/verify this bug?
> > I have no idea for this.
> Hi Qiao,
> 
> I use Codenomicon fuzz for this testing. We can talk about this on irc.
> 
> Thanks
> Hangbin

Great, thanks!

Note You need to log in before you can comment on or make changes to this bug.